Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.v3.builders
Interface SendMessageBuilder

All Known Implementing Classes:
  SendMessageBuilderImpl

    public interface SendMessageBuilder

Builder interface for `SendMessageRequest`. Default impl : `SendMessageBuilderImpl` Factory : `BuilderFactory`

Method Summary
`SendMessageRequest` | `buildMessage(DocumentMessage<Message> document)` Builds for a document message.
`SendMessageRequest` | `buildMessage(NewsMessage<Message> document)` Builds for a news document message.

Method Detail

### buildMessage

    SendMessageRequest buildMessage(DocumentMessage<Message> document)
                                    throws IOException,
                                           EhboxBusinessConnectorException,
                                           TechnicalConnectorException,
                                           org.bouncycastle.cms.CMSException

  Builds for a document message.

  Parameters:
    `document` - `DocumentMessage` contains all info to be send.
  Returns:
    SendMessageRequest
  Throws:
    `IOException`
    `TechnicalConnectorException`
    `EhboxBusinessConnectorException`
    `org.bouncycastle.cms.CMSException`

### buildMessage

    SendMessageRequest buildMessage(NewsMessage<Message> document)
                                    throws IOException,
                                           EhboxBusinessConnectorException,
                                           TechnicalConnectorException

  Builds for a news document message.

  Parameters:
    `document` - contains all info to be send.
  Returns:
    SendMessageRequest
  Throws:
    `IOException`
    `TechnicalConnectorException`
    `EhboxBusinessConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.